package org.springblade.system.mapper;

import org.springblade.system.domain.ArchivalCatalogueDto;
import org.springblade.system.domain.SelectDto;
import org.springblade.system.domain.vo.ArchivalCatalogueVo;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/9 - 14:47
 */
public interface ArchiveMapper {
    List<ArchivalCatalogueDto> getArchivalCatalogueTree(ArchivalCatalogueDto dto);

    Integer saveArchivalCatalogue(ArchivalCatalogueDto dto);
    Integer saveArchivalCatalogue(ArchivalCatalogueVo dto);

    List<ArchivalCatalogueDto> getArchivalCatalogue(ArchivalCatalogueDto dto);

    Integer editArchivalCatalogue(ArchivalCatalogueDto dto);
    Integer editArchivalCatalogue(ArchivalCatalogueVo dto);

    Integer delArchivalCatalogue(ArchivalCatalogueDto dto);

    ArchivalCatalogueDto getArchivalCatalogueById(ArchivalCatalogueDto dto);

    Integer getchild(ArchivalCatalogueDto dto);

    List<SelectDto> getFilesClassifyMarkSelect(ArchivalCatalogueDto dto);

    Integer geMaxSort(String parentId);

    Integer getArchivalCatalogueByName(ArchivalCatalogueDto dto);
    Integer getArchivalCatalogueByName(ArchivalCatalogueVo dto);

    Integer getSortById(Integer id);

    String getClassifyMark(ArchivalCatalogueDto dto);

    Integer getLevelById(Integer id);
}
